curl -X GET https://app.drime.cloud/api/v1/getNote/1 \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const noteId = 1;
const response = await fetch(`https://app.drime.cloud/api/v1/getNote/${noteId}`, {
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
const { data } = await response.json();
console.log(`Note: ${data.title}`);
import requests
note_id = 1
response = requests.get(
f'https://app.drime.cloud/api/v1/getNote/{note_id}',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
note = response.json()['data']
print(f"Note: {note['title']}")
{
"data": {
"id": 1,
"title": "Meeting Notes",
"body": "Discussed project timeline and deliverables..."
}
}
{
"message": "Note not found"
}
Notes
Get Note
Get a single note by ID
GET
/
getNote
/
{id}
curl -X GET https://app.drime.cloud/api/v1/getNote/1 \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const noteId = 1;
const response = await fetch(`https://app.drime.cloud/api/v1/getNote/${noteId}`, {
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
const { data } = await response.json();
console.log(`Note: ${data.title}`);
import requests
note_id = 1
response = requests.get(
f'https://app.drime.cloud/api/v1/getNote/{note_id}',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
note = response.json()['data']
print(f"Note: {note['title']}")
{
"data": {
"id": 1,
"title": "Meeting Notes",
"body": "Discussed project timeline and deliverables..."
}
}
{
"message": "Note not found"
}
Overview
Retrieves a specific note by its ID.Path Parameters
integer
required
Note ID
Response
curl -X GET https://app.drime.cloud/api/v1/getNote/1 \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const noteId = 1;
const response = await fetch(`https://app.drime.cloud/api/v1/getNote/${noteId}`, {
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
const { data } = await response.json();
console.log(`Note: ${data.title}`);
import requests
note_id = 1
response = requests.get(
f'https://app.drime.cloud/api/v1/getNote/{note_id}',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
note = response.json()['data']
print(f"Note: {note['title']}")
{
"data": {
"id": 1,
"title": "Meeting Notes",
"body": "Discussed project timeline and deliverables..."
}
}
{
"message": "Note not found"
}
⌘I

